﻿$packageName = 'openmpt'
$displayVersion = '1.24.01.00'
$displayName = 'OpenMPT 1.24'

$uninstallString = Get-ChildItem -Path HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall, HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall | Get-ItemProperty | Where-Object {$_.DisplayName -match $displayName -and $_.DisplayVersion -match $displayVersion} | Select-Object -ExpandProperty UninstallString

if ($uninstallString -ne "") {
	try {
		cmd /c "$uninstallString" /SILENT # start uninstaller
	} catch {
		Write-ChocolateyFailure "$packageName" "$($_.Exception.Message)"
	}
}
Write-ChocolateySuccess "$packageName"